#-------------------------------------------------
#
# Project created by QtCreator 2015-11-04T01:25:15
#
#-------------------------------------------------

QT       += core gui \
            quick \
            qml \

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TEMPLATE = app


RC_ICONS = hpvda.ico

SOURCES += main.cpp\    
    Model/interfaz.cpp \
    View/informationscreen.cpp \
    View/informationscreenoptions.cpp \
    View/inkscreen.cpp \
    View/mainwindow.cpp \
    View/menuiconoptions.cpp \
    View/menuscreen.cpp \
    View/settings.cpp \
    Controller/menuscreencontroller.cpp \
    Model/menu.cpp \
    Model/icon.cpp \    
    Controller/informationscreencontroller.cpp \
    Controller/controller.cpp \
    View/view.cpp \
    Model/information.cpp \
    Model/card.cpp \
    Controller/settingscontroller.cpp \
    Controller/inkscreencontroller.cpp \
    Model/ink.cpp \
    Common/constants.cpp \
    Controller/mainwindowcontroller.cpp \
    View/editscreen.cpp \
    View/beforestart.cpp \
    translatableapp.cpp \
    Manager/settingsmanager.cpp \
    Services/editor.cpp \
    Services/parser.cpp \
    animatedtbutton.cpp \
    splashscreen.cpp

HEADERS  += \
    Controller/mainwindowcontroller.h \
    View/informationscreen.h \
    View/informationscreenoptions.h \
    View/inkscreen.h \
    View/mainwindow.h \
    View/menuiconoptions.h \
    View/menuscreen.h \
    View/settings.h \
    Model/interfaz.h \
    Controller/menuscreencontroller.h \
    Model/menu.h \
    Model/icon.h \    
    Controller/informationscreencontroller.h \
    Controller/controller.h \
    View/view.h \
    Model/information.h \
    Model/card.h \
    Controller/settingscontroller.h \
    Controller/inkscreencontroller.h \
    Model/ink.h \
    Model/inktextoption.h \
    Common/constants.h \
    View/editscreen.h \
    View/beforestart.h \
    translatableapp.h \
    Manager/settingsmanager.h \
    Services/editor.h \
    Services/parser.h \
    animatedtbutton.h \
    splashscreen.h

FORMS    += mainwindow.ui \
    menuiconoptions.ui \
    informationscreen.ui \
    informationscreenoptions.ui \
    settings.ui \
    inkscreen.ui \
    menuscreen.ui \
    editscreen.ui \
    beforestart.ui

RESOURCES += \
    resources.qrc

TRANSLATIONS += VDA_es.ts \
                VDA_en.ts

DISTFILES += \
    resources/templates/ink.qml \
    resources/templates/menu.qml
