Rectangle
{
  id:PROPERTY_RECT
  anchors.top : TOP_POSITION.bottom
  anchors.left: LEFT_POSITION.RELATIVE_POSITION
  anchors.leftMargin: LEFT_MARGIN
  width: ((Math.min(menu.cellHeight, menu.cellWidth)*0.9) ICON_RESIZE) / NUMBER_COLS
  height: width / NUMBER_ROWS
  color: "transparent"

  Rectangle {
    id:PROPERTY_VIEW_INDEX
    width: PROPERTY_RECT.width
    height: PROPERTY_RECT.height / 2
    color: "transparent"
    Text{
        text: PROPERTY_INDEX
        color: "grey"
        anchors.fill: parent
        fontSizeMode: Text.Fit
        minimumPointSize: 6
        font.pointSize: 120
    }
  }

  Rectangle {
      id:VALUE_VIEW_INDEX
      width: PROPERTY_RECT.width
      height: PROPERTY_RECT.height / 2
      anchors.top: PROPERTY_VIEW_INDEX.bottom
      anchors.left: PROPERTY_VIEW_INDEX.left
      anchors.leftMargin: 10
      color: "transparent"
      Text {
        text: VALUE_INDEX
        anchors.fill: parent
        font.pointSize: 120
        fontSizeMode: Text.Fit
        minimumPointSize: 6

    }
   }
}
