#ifndef SPLASHSCREEN_H
#define SPLASHSCREEN_H

#include <QSplashScreen>

/*!
 * \brief The SplashScreen class. Shows initial animation.
 */
class SplashScreen : public QSplashScreen
{
public:

    /*!
     * \brief SplashScreen constructor.
     * \param pixmap
     */
    SplashScreen(const QPixmap& pixmap);
    ~SplashScreen();

    /*!
     * \brief updateProgress Change the image to show in the animation.
     * \param snewpPixmap New pixmap to show.
     */
    void updateProgress(QPixmap snewpPixmap);
};

#endif // SPLASHSCREEN_H
